# Uses of Enum Class
org.bukkit.metadata.LazyMetadataValue.CacheStrategy

Packages that use LazyMetadataValue.CacheStrategy
Package
Description
org.bukkit.metadata
Classes dedicated to providing a layer of plugin specified data on various Minecraft concepts.

## Uses of LazyMetadataValue.CacheStrategy in org.bukkit.metadata

Methods in org.bukkit.metadata that return LazyMetadataValue.CacheStrategy
Modifier and Type
Method
Description
`static LazyMetadataValue.CacheStrategy`
LazyMetadataValue.CacheStrategy.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LazyMetadataValue.CacheStrategy[]`
LazyMetadataValue.CacheStrategy.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.metadata with parameters of type LazyMetadataValue.CacheStrategy
Modifier
Constructor
Description
``
`LazyMetadataValue(@NotNull Plugin owningPlugin, @NotNull LazyMetadataValue.CacheStrategy cacheStrategy, @NotNull Callable<Object> lazyValue)`
Initializes a LazyMetadataValue object with a specific cache strategy.